# -*- mode: RPM-SPEC; indent-tabs-mode: nil -*-
%define name ldas-tools-al
%define tarbasename %{name}

%if %{?cmake3:1}%{!?cmake3:0}
%define __cmake %__cmake3
%define cmake cmake3
%define ctest ctest3
%endif

%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
%define boost_configure_options_ -DBoost_NO_SYSTEM_PATHS=True -DBOOST_INCLUDEDIR="%{_includedir}/boost169;NO_CMAKE_PATH;NO_CMAKE_ENVIRONMENT_PATH" -DBOOST_LIBRARYDIR=%{_libdir}/boost169
%else
%define boost_configure_options_ %{nil}
%endif

Summary: LDAS tools abstraction toolkit
Name: %{name}
Version: 2.6.5
Release: 1%{?dist}
License: GPLv2+
URL: "https://wiki.ligo.org/Computing/LDASTools"
Group: Application/Scientific
BuildRoot: %{buildroot}
Source0: https://software.igwn.org/lscsoft/source/ldas-tools-al-%{version}.tar.gz
Obsoletes: ldas-tools-general <= 2.6
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
Requires: boost169
%else
Requires: boost
%endif
Requires: openssl
Requires: zlib
BuildRequires: gcc, gcc-c++, glibc
BuildRequires: gawk
BuildRequires: make
BuildRequires: rpm-build
Buildrequires: ldas-tools-cmake >= 1.2.2
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
BuildRequires: boost169-devel
BuildRequires: boost169
%else
BuildRequires: boost-devel
BuildRequires: boost
%endif
Buildrequires: openssl-devel
Buildrequires: pkgconfig
Buildrequires: zlib-devel
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
BuildRequires: cmake3 >= 3.6
BuildRequires: cmake
%else
BuildRequires: cmake >= 3.6
%endif
Buildrequires: doxygen, graphviz


%description
This provides the runtime libraries for the abstaction library.

%package devel
Obsoletes: ldas-tools-general-devel <= 2.6
Group: Development/Scientific
Summary: LDAS tools abstraction toolkit development files
Requires: ldas-tools-al = 2.6.5
%if 0%{?rhl} <= 7 || 0%{?sl7} <= 7
Requires: boost169-devel
%else
Requires: boost-devel
%endif
%description devel
This provides the develpement files the abstraction library.
%prep

%setup -c -T -D -a 0 -n %{name}-%{version}

%build
#------------------------------------------------------------------------
# This works around a bug in the current rpmbuild system whereby the
#   PKG_CONFIG_PATH is set by the system and does not allow for
#   user preference.
# This work around should be fixed in RH 7.1 or so
#------------------------------------------------------------------------
export PKG_CONFIG_PATH="${LDASTOOLSDEV_PKG_CONFIG_PATH:-}${LDASTOOLSDEV_PKG_CONFIG_PATH:+:}$PKG_CONFIG_PATH"

%cmake \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_EXPORT_COMPILE_COMMANDS=1 \
    -DCMAKE_INSTALL_DOCDIR=%{_docdir} \
    %{boost_configure_options_} \
    %{tarbasename}-%{version}

make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
#--------------------------------------------------------------
# install lscsoft specific files
#--------------------------------------------------------------
make V=1 install DESTDIR=%{buildroot}
#--------------------------------------------------------------
# Removed unwanted libtool files
#--------------------------------------------------------------
find %{buildroot} -name \*.la -exec rm -f {} \;
#--------------------------------------------------------------
# Remove unwanted python init files
#--------------------------------------------------------------
find %{buildroot} -name __init__.py* -exec rm -f {} \;

%post
ldconfig
%postun
ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/libldastoolsal*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/ldastoolsal
%{_libdir}/libldastoolsal.a
%{_libdir}/libldastoolsal*.so
%{_libdir}/pkgconfig/ldastoolsal.pc
%{_docdir}

%changelog
* Tue Mar 9 2021 Edward Maros <ed.maros@ligo.org> - 2.6.5-1
- Built for new release

* Wed Oct 23 2019 Edward Maros <ed.maros@ligo.org> - 2.6.4-1
- Built for new release

* Thu Dec 06 2018 Edward Maros <ed.maros@ligo.org> - 2.6.2-1
- Built for new release

* Tue Nov 27 2018 Edward Maros <ed.maros@ligo.org> - 2.6.1-1
- Built for new release

* Sat Oct 22 2016 Edward Maros <ed.maros@ligo.org> - 2.5.5-1
- Built for new release

* Mon Oct 10 2016 Edward Maros <ed.maros@ligo.org> - 2.5.4-1
- Built for new release

* Mon Sep 26 2016 Edward Maros <ed.maros@ligo.org> - 2.5.3-1
- Added ability to have verbose debugging of Threads class

* Wed Mar 23 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.4-1
- Made build be verbose

* Fri Mar 11 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.1-1
- Corrections for RPM build

* Thu Mar 03 2016 Edward Maros <ed.maros@ligo.org> - 2.4.99.0-1
- Breakout into separate source package

* Tue Oct 11 2011 Edward Maros <emaros@ligo.caltech.edu> - 1.19.13-1
- Initial build.
